## cbios 0.20

=== Makefile ===
# $Id: Makefile,v 1.10 2005/02/08 07:55:08 mthuurne Exp $

# Select your assembler:
Z80_ASSEMBLER?=pasmo
#Z80_ASSEMBLER?=sjasm

PACKAGE:=cbios
VERSION:=0.20
PACKAGE_FULL:=$(PACKAGE)-$(VERSION)

ROMS:=main_msx1 main_msx2 main_msx2+ sub music disk
ROMS_FULLPATH:=$(ROMS:%=derived/bin/cbios_%.rom)

# Mark all logical targets as such.
.PHONY: all dist clean

all: $(ROMS_FULLPATH)

ifeq ($(Z80_ASSEMBLER),sjasm)
# Workaround for SjASM producing output file even if assembly failed.
.DELETE_ON_ERROR: $(ROMS_FULLPATH)
endif

derived/bin/cbios_%.rom: vdep/%.asm
	@echo "Assembling: $(<:vdep/%=src/%)"
	@mkdir -p $(@D)
	@mkdir -p derived/lst
ifeq ($(Z80_ASSEMBLER),sjasm)
	@sjasm -l $(<:vdep/%=src/%) $@ $(@:derived/bin/%.rom=derived/lst/%.lst)
endif
ifeq ($(Z80_ASSEMBLER),pasmo)
	@pasmo -I src $(<:vdep/%=src/%) $@ $(@:derived/bin/%.rom=derived/lst/%.lst)
endif

# Include main dependency files.
-include $(ROMS:%=derived/dep/%.dep)

ifeq ($(filter clean,$(MAKECMDGOALS)),)
# Incremental build -> create dependency files.
derived/dep/%.dep: src/%.asm
	@echo "Depending: $<"
	@mkdir -p $(@D)
	@echo "INCLUDES:=" > $@
	@sed -n '/include/s/^[\t ]*include[\t ]*"\(.*\)".*$$/INCLUDES+=\1/p' \
		< $< >> $@
	@echo ".SECONDARY: $(<:src/%=vdep/%)" >> $@
	@echo "$(<:src/%=vdep/%): $< \$$(INCLUDES:%=vdep/%)" >> $@
	@echo "ifneq (\$$(INCLUDES),)" >> $@
	@echo "-include \$$(INCLUDES:%.asm=derived/dep/%.dep)" >> $@
	@echo "endif" >> $@
else
# Clean build -> treat all dependencies as outdated.
.PHONY: $(ROMS:%=vdep/%.asm)
endif

clean:
	@rm -rf derived

dist: all
	@rm -rf derived/dist
	@mkdir -p derived/dist/$(PACKAGE_FULL)
	@find . -type f '!' -path '*/CVS/*' \
		'!' -path './derived/*' '!' -path './debian/*' \
		'!' -name '.*' \
		-exec cp --parents "{}" derived/dist/$(PACKAGE_FULL) ';'
	@find configs/openMSX/* -maxdepth 0 -type d '!' -name 'CVS' \
		-exec mkdir "derived/dist/$(PACKAGE_FULL)/{}/roms" ';'
	@SCRIPT=`mktemp` \
		&& sha1sum $(ROMS_FULLPATH) | sed -nf tools/subst_sha1.sed > $$SCRIPT \
		&& sed -s -i -f $$SCRIPT \
			derived/dist/$(PACKAGE_FULL)/configs/openMSX/*/hardwareconfig.xml \
		&& rm $$SCRIPT
	@mkdir -p derived/dist/$(PACKAGE_FULL)/roms
	@cp $(ROMS_FULLPATH) derived/dist/$(PACKAGE_FULL)/roms
	@cd derived/dist ; zip -9 -r $(PACKAGE_FULL).zip $(PACKAGE_FULL)

## cbios 0.21

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,18 @@
-# $Id: Makefile,v 1.10 2005/02/08 07:55:08 mthuurne Exp $
+# $Id: Makefile,v 1.13 2005/06/06 21:40:38 mthuurne Exp $
 
 # Select your assembler:
 Z80_ASSEMBLER?=pasmo
 #Z80_ASSEMBLER?=sjasm
 
 PACKAGE:=cbios
-VERSION:=0.20
+VERSION:=0.21
 PACKAGE_FULL:=$(PACKAGE)-$(VERSION)
 
 ROMS:=main_msx1 main_msx2 main_msx2+ sub music disk
 ROMS_FULLPATH:=$(ROMS:%=derived/bin/cbios_%.rom)
+
+# If needed override location of pasmo.
+PASMO=pasmo
 
 # Mark all logical targets as such.
 .PHONY: all dist clean
@@ -21,7 +24,7 @@
 .DELETE_ON_ERROR: $(ROMS_FULLPATH)
 endif
 
-derived/bin/cbios_%.rom: vdep/%.asm
+$(ROMS_FULLPATH): derived/bin/cbios_%.rom: vdep/%.asm
 	@echo "Assembling: $(<:vdep/%=src/%)"
 	@mkdir -p $(@D)
 	@mkdir -p derived/lst
@@ -29,7 +32,7 @@
 	@sjasm -l $(<:vdep/%=src/%) $@ $(@:derived/bin/%.rom=derived/lst/%.lst)
 endif
 ifeq ($(Z80_ASSEMBLER),pasmo)
-	@pasmo -I src $(<:vdep/%=src/%) $@ $(@:derived/bin/%.rom=derived/lst/%.lst)
+	@$(PASMO) -I src $(<:vdep/%=src/%) $@ $(@:derived/bin/%.rom=derived/lst/%.lst)
 endif
 
 # Include main dependency files.

## cbios 0.21+cvs20071215

=== Makefile ===
# $Id: Makefile,v 1.24 2006/09/30 20:33:11 arnoldmnl Exp $

# Select your assembler:
Z80_ASSEMBLER?=pasmo
#Z80_ASSEMBLER?=z80-as
#Z80_ASSEMBLER?=sjasm
#Z80_ASSEMBLER?=tniasm

PACKAGE_NAME:=cbios
VERSION:=0.21
PACKAGE_FULL:=$(PACKAGE_NAME)-$(VERSION)

CHANGELOG_REVISION:=\
        $(shell sed -ne "s/\$$Id: ChangeLog,v \([^ ]*\).*/\1/p" ChangeLog)
TITLE:="C-BIOS $(VERSION)-dev$(CHANGELOG_REVISION)"
VERSION_FILE:=derived/asm/version.asm

ROMS:=main_msx1 main_msx2 main_msx2+ sub logo_msx1 logo_msx2 logo_msx2+ \
	music disk basic
ROMS_FULLPATH:=$(ROMS:%=derived/bin/cbios_%.rom)

# If needed override location of pasmo.
PASMO=pasmo

# Mark all logical targets as such.
.PHONY: all dist clean list_stub

all: $(ROMS_FULLPATH)

ifeq ($(Z80_ASSEMBLER),sjasm)
# Workaround for SjASM producing output file even if assembly failed.
.DELETE_ON_ERROR: $(ROMS_FULLPATH)
endif

ifeq ($(Z80_ASSEMBLER),z80-as)
# Z80-as can only place code into relocatable sections, we preprocess the sections and use
# z80-ld to produce the final .rom files
ASMDIR=derived/asm
SEDSCR = -e 's/ds[ \t]\+\(\$$[0-9a-fA-F]\+[ \t]*-[ \t]*\$$\)/ds\tABS0+\1/' \
	-e 's/[ \t]\+org[ \t]\+\(\$$[0-9a-fA-F]\+\|[0-9]\+\)/\
	;\0\nABS0: equ \$$-\1\n;;;-Ttext \1 --entry \1/'  \
	-e 's:\.\./derived/asm/::'
else
ASMDIR=src
endif

$(VERSION_FILE): ChangeLog
	@echo "Creating: $@"
	@mkdir -p $(@D)
	@echo "  db \"$(TITLE)\"" > $@

$(ROMS_FULLPATH): derived/bin/cbios_%.rom: vdep/%.asm
	@echo "Assembling: $(<:vdep/%=$(ASMDIR)/%)"
	@mkdir -p $(@D)
	@mkdir -p derived/lst
ifeq ($(Z80_ASSEMBLER),sjasm)
	@sjasm -iderived/asm -l $(<:vdep/%=src/%) $@ $(@:derived/bin/%.rom=derived/lst/%.lst)
endif
ifeq ($(Z80_ASSEMBLER),pasmo)
	@$(PASMO) -I src -I derived/asm $(<:vdep/%=src/%) \
		$@ $(@:derived/bin/%.rom=derived/lst/%.lst)
endif
# TODO: The "mv" can cause problems in parallel builds, it would be better if
#       tniASM could write distinct output files (can it?).
ifeq ($(Z80_ASSEMBLER),tniasm)
	@cd src && tniasm $(<:vdep/%=%) ../$@
	@mv src/tniasm.sym $(@:derived/bin/%.rom=derived/lst/%.sym)
endif
ifeq ($(Z80_ASSEMBLER),z80-as)
	@mkdir -p derived/obj
	@z80-as -I derived/asm -I src $(<:vdep/%=$(ASMDIR)/%) -Wall \
		-o $(@:derived/bin/%.rom=derived/obj/%.o) \
		-as=$(@:derived/bin/%.rom=derived/lst/%.lst)
	@z80-ld -n --oformat binary $(@:derived/bin/%.rom=derived/obj/%.o) `\
		grep "^;;;-Ttext" $(<:vdep/%=$(ASMDIR)/%) | \
		sed -e "s/;//g" -e 's/\\$$/0x/g'` -o $@
endif

ifeq ($(filter clean,$(MAKECMDGOALS)),)

# Include main dependency files.
-include $(ROMS:%=derived/dep/%.dep)

GENERATED_FILES:=$(VERSION_FILE)
GENERATED_DEPS:=$(GENERATED_FILES:derived/asm/%.asm=derived/dep/%.dep)

# Note: The dependency generation code is here twice.
#       That's not great, but the alternatives are worse.

$(GENERATED_DEPS): derived/dep/%.dep: derived/asm/%.asm
	@echo "Depending: $<"
	@mkdir -p $(@D)
	@echo "INCLUDES:=" > $@
	@sed -n '/include/s/^[\t ]*include[\t ]*"\(.*\)".*$$/INCLUDES+=\1/p' \
		< $< >> $@
	@echo "INCBINS:=" >> $@
	@sed -n '/incbin/s/^[\t ]*incbin[\t ]*"\(.*\)".*$$/INCBINS+=\1/p' \
		< $< >> $@
	@echo ".SECONDARY: $(<:derived/asm/%=vdep/%)" >> $@
	@echo "$(<:derived/asm/%=vdep/%): $<" >> $@
	@echo "$(<:derived/asm/%=vdep/%): \$$(INCLUDES:%=vdep/%) \$$(INCBINS:%=src/%)" >> $@
	@echo "ifneq (\$$(INCLUDES),)" >> $@
	@echo "-include \$$(INCLUDES:%.asm=derived/dep/%.dep)" >> $@
	@echo "endif" >> $@

derived/dep/%.dep: src/%.asm
	@echo "Depending: $<"
	@mkdir -p $(@D)
	@echo "INCLUDES:=" > $@
	@sed -n '/include/s/^[\t ]*include[\t ]*"\(\.\.\/derived\/asm\/\)\?\(.*\)".*$$/INCLUDES+=\2/p' \
		< $< >> $@
	@echo "INCBINS:=" >> $@
	@sed -n '/incbin/s/^[\t ]*incbin[\t ]*"\(\.\.\/derived\/asm\/\)\?\(.*\)".*$$/INCBINS+=\2/p' \
		< $< >> $@
	@echo ".SECONDARY: $(<:src/%=vdep/%)" >> $@
	@echo "$(<:src/%=vdep/%): $(<:src/%=$(ASMDIR)/%)" >> $@
	@echo "$(<:src/%=vdep/%): \$$(INCLUDES:%=vdep/%) \$$(INCBINS:%=src/%)" >> $@
	@echo "ifneq (\$$(INCLUDES),)" >> $@
	@echo "-include \$$(INCLUDES:%.asm=derived/dep/%.dep)" >> $@
	@echo "endif" >> $@
else
# Clean build -> treat all dependencies as outdated.
.PHONY: $(ROMS:%=vdep/%.asm)
endif

ifneq ($(ASMDIR),src)
$(ASMDIR)/%.asm: src/%.asm
	@echo "Preprocessing: $<"
	@mkdir -p $(@D)
	@sed $(SEDSCR) \
		< $< > $@
endif

clean:
	@rm -rf derived

dist: all
	@rm -rf derived/dist
	@mkdir -p derived/dist/$(PACKAGE_FULL)
	@find . -type f '!' -path '*/CVS/*' \
		'!' -path './derived/*' '!' -path './debian/*' \
		'!' -name '.*' \
		-exec cp --parents "{}" derived/dist/$(PACKAGE_FULL) ';'
	@find configs/openMSX/* -maxdepth 0 -type d '!' -name 'CVS' \
		-exec mkdir "derived/dist/$(PACKAGE_FULL)/{}/roms" ';'
	@SCRIPT=`mktemp` \
		&& sha1sum $(ROMS_FULLPATH) | sed -nf tools/subst_sha1.sed > $$SCRIPT \
		&& sed -s -i -f $$SCRIPT \
			derived/dist/$(PACKAGE_FULL)/configs/openMSX/*/hardwareconfig.xml \
		&& rm $$SCRIPT
	@mkdir -p derived/dist/$(PACKAGE_FULL)/roms
	@cp $(ROMS_FULLPATH) derived/dist/$(PACKAGE_FULL)/roms
	@cd derived/dist ; zip -9 -r $(PACKAGE_FULL).zip $(PACKAGE_FULL)

list_stub:
	cd src && grep -n _text *.asm | grep ',0$$' | awk '{print $$1}' | sed -e 's/_text://'

## cbios 0.23

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.24 2006/09/30 20:33:11 arnoldmnl Exp $
+# $Id: Makefile 553 2009-01-02 21:49:16Z mthuurne $
 
 # Select your assembler:
 Z80_ASSEMBLER?=pasmo
@@ -7,12 +7,13 @@
 #Z80_ASSEMBLER?=tniasm
 
 PACKAGE_NAME:=cbios
-VERSION:=0.21
+VERSION:=$(shell cat version.txt)
 PACKAGE_FULL:=$(PACKAGE_NAME)-$(VERSION)
 
-CHANGELOG_REVISION:=\
-        $(shell sed -ne "s/\$$Id: ChangeLog,v \([^ ]*\).*/\1/p" ChangeLog)
-TITLE:="C-BIOS $(VERSION)-dev$(CHANGELOG_REVISION)"
+#CHANGELOG_REVISION:=\
+#        $(shell sed -ne "s/\$$Id: ChangeLog \([^ ]*\).*/\1/p" ChangeLog)
+#TITLE:="C-BIOS $(VERSION)-dev$(CHANGELOG_REVISION)"
+TITLE:="C-BIOS $(VERSION)      cbios.sf.net"
 VERSION_FILE:=derived/asm/version.asm
 
 ROMS:=main_msx1 main_msx2 main_msx2+ sub logo_msx1 logo_msx2 logo_msx2+ \
@@ -44,10 +45,10 @@
 ASMDIR=src
 endif
 
-$(VERSION_FILE): ChangeLog
+$(VERSION_FILE): ChangeLog version.txt
 	@echo "Creating: $@"
 	@mkdir -p $(@D)
-	@echo "  db \"$(TITLE)\"" > $@
+	@echo '  db $(TITLE)' > $@
 
 $(ROMS_FULLPATH): derived/bin/cbios_%.rom: vdep/%.asm
 	@echo "Assembling: $(<:vdep/%=$(ASMDIR)/%)"
@@ -91,10 +92,10 @@
 	@echo "Depending: $<"
 	@mkdir -p $(@D)
 	@echo "INCLUDES:=" > $@
-	@sed -n '/include/s/^[\t ]*include[\t ]*"\(.*\)".*$$/INCLUDES+=\1/p' \
+	@sed -n '/include/s/^[\t ]*include[\t ]*"\(\.\.\/derived\/asm\/\)\{0,1\}\(.*\)".*$$/INCLUDES+=\2/p' \
 		< $< >> $@
 	@echo "INCBINS:=" >> $@
-	@sed -n '/incbin/s/^[\t ]*incbin[\t ]*"\(.*\)".*$$/INCBINS+=\1/p' \
+	@sed -n '/incbin/s/^[\t ]*incbin[\t ]*"\(\.\.\/derived\/asm\/\)\{0,1\}\(.*\)".*$$/INCBINS+=\2/p' \
 		< $< >> $@
 	@echo ".SECONDARY: $(<:derived/asm/%=vdep/%)" >> $@
 	@echo "$(<:derived/asm/%=vdep/%): $<" >> $@
@@ -107,10 +108,10 @@
 	@echo "Depending: $<"
 	@mkdir -p $(@D)
 	@echo "INCLUDES:=" > $@
-	@sed -n '/include/s/^[\t ]*include[\t ]*"\(\.\.\/derived\/asm\/\)\?\(.*\)".*$$/INCLUDES+=\2/p' \
+	@sed -n '/include/s/^[\t ]*include[\t ]*"\(\.\.\/derived\/asm\/\)\{0,1\}\(.*\)".*$$/INCLUDES+=\2/p' \
 		< $< >> $@
 	@echo "INCBINS:=" >> $@
-	@sed -n '/incbin/s/^[\t ]*incbin[\t ]*"\(\.\.\/derived\/asm\/\)\?\(.*\)".*$$/INCBINS+=\2/p' \
+	@sed -n '/incbin/s/^[\t ]*incbin[\t ]*"\(\.\.\/derived\/asm\/\)\{0,1\}\(.*\)".*$$/INCBINS+=\2/p' \
 		< $< >> $@
 	@echo ".SECONDARY: $(<:src/%=vdep/%)" >> $@
 	@echo "$(<:src/%=vdep/%): $(<:src/%=$(ASMDIR)/%)" >> $@
@@ -137,11 +138,11 @@
 dist: all
 	@rm -rf derived/dist
 	@mkdir -p derived/dist/$(PACKAGE_FULL)
-	@find . -type f '!' -path '*/CVS/*' \
+	@find . -type f '!' -path '*/.svn/*' \
 		'!' -path './derived/*' '!' -path './debian/*' \
 		'!' -name '.*' \
 		-exec cp --parents "{}" derived/dist/$(PACKAGE_FULL) ';'
-	@find configs/openMSX/* -maxdepth 0 -type d '!' -name 'CVS' \
+	@find configs/openMSX/* -maxdepth 0 -type d '!' -name '.svn' \
 		-exec mkdir "derived/dist/$(PACKAGE_FULL)/{}/roms" ';'
 	@SCRIPT=`mktemp` \
 		&& sha1sum $(ROMS_FULLPATH) | sed -nf tools/subst_sha1.sed > $$SCRIPT \

=== debian/changelog ===
cbios (0.23-2) unstable; urgency=low

  * use source format 3.0
  * update standards version

 -- Joost Yervante Damad <andete@debian.org>  Sat, 19 Dec 2009 20:56:54 +0100

cbios (0.23-1) unstable; urgency=low

  * New upstream release
    - Added support for carriage return ($0D) in GRPPRT in SCREEN2
      - Fixes title screen of Bokosuka Wars

 -- Joost Yervante Damad <andete@debian.org>  Sun, 04 Jan 2009 18:11:21 +0100

cbios (0.22-1) unstable; urgency=low

  * New upstream release
    - Use separate logo ROM to save space in the main ROM.
    - Set lower bits of PSG reg 15 before reading joystick trigger status.
    - Improved RAM search.
    - Many new routines implemented and existing implementations made more
      complete, especially character I/O and bitmap graphics.
    - Added lots of documentation to system variables.
    - Added support for GNU assembler.
    - Various bug fixes.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 27 Dec 2008 20:29:37 +0100

cbios (0.21+cvs20071215-1) unstable; urgency=low

  * package a snapshot from CVS as it contains some inportant
    game compatibility fixes
  * fix debian-rules-ignores-make-clean-error
  * fix package-contains-empty-directory usr/share/cbios/configs/
  * fix binary-arch-rules-but-pkg-is-arch-indep

 -- Joost Yervante Damad <andete@debian.org>  Sat, 15 Dec 2007 10:13:53 +0100

cbios (0.21-4) unstable; urgency=low

  * update standards version to 3.7.3

 -- Joost Yervante Damad <andete@debian.org>  Mon, 10 Dec 2007 18:28:57 +0100

cbios (0.21-3) unstable; urgency=low

  * switch from docbook-to-man to stx2any
  * switch to Build-Depends-Indep; avoids lintian override
  * move Recommends to correct place in control file

 -- Joost Yervante Damad <andete@debian.org>  Tue, 24 Oct 2006 20:20:32 +0200

cbios (0.21-2) unstable; urgency=low

  * bump compat to level 5
  * update maintainer email address
  * bump standards-version to 3.7.2
  * update copyright file

 -- Joost Yervante Damad <andete@debian.org>  Wed, 18 Oct 2006 19:40:10 +0200

cbios (0.21-1) unstable; urgency=low

  * new upstream release
  * change priority from optional to extra

 -- Joost Yervante Damad <joost@lumatec.be>  Tue,  7 Jun 2005 19:32:40 +0200

cbios (0.20-1) unstable; urgency=low

  * new upstream release

 -- Joost Yervante Damad <joost@lumatec.be>  Sat, 12 Feb 2005 13:31:28 +0100

cbios (0.19-3) unstable; urgency=low

  * Close ITP (Closes: #286947)
  * manpage removal fixed

 -- Joost Yervante Damad <joost@lumatec.be>  Thu, 30 Dec 2004 21:12:55 +0100

cbios (0.19-2) unstable; urgency=low

  * implemented remarks from  Goedson Paixao:
        - manpage removed in clean target
        - removed unneeded comments in debian/rules
        - removed the commented calls do dh_*
        - building.txt should not be part of the docs installed.
        - Clarify debian/copyright file
        - add build-depends on docbook-to-man

 -- Joost Yervante Damad <joost@lumatec.be>  Sat, 25 Dec 2004 09:05:32 +0100

cbios (0.19-1) unstable; urgency=low

  * 0.19 upstream release

 -- Joost Yervante Damad <joost@lumatec.be>  Fri, 24 Dec 2004 08:54:39 +0100

cbios (0.18-2) unstable; urgency=low

  * 0.18 upstream release
  * do not install config files for other emulators
  * fix README.Debian

 -- Joost Yervante Damad <joost@lumatec.be>  Sat, 18 Dec 2004 21:05:43 +0100

cbios (0.18-1) unstable; urgency=low

  * 0.18 pre-release
  * install C-CBIOS MSX1 & MSX2 in openMSX directory

 -- Joost Yervante Damad <joost@lumatec.be>  Mon, 13 Dec 2004 10:00:42 +0100

cbios (20041211-1) unstable; urgency=low

  * Initial Release.
  * fix install target for rules file

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 12 Dec 2004 15:17:19 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)
	stx2any -T man debian/cbios.txt > debian/cbios.7

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean
	-rm -f debian/cbios.7

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# copy rom files
	cp -f derived/bin/*.rom $(CURDIR)/debian/cbios/usr/share/cbios
	# copy config files for other emulators # currently not done!
	# cp -rf configs/NLMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
	# cp -rf configs/RuMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
	# cp -rf configs/blueMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
	# prepare for openMSX specially
	cp -rf configs/openMSX/* $(CURDIR)/debian/cbios/usr/share/openmsx/machines
	# MSX1
	ln -s ../../../../cbios/cbios_main_msx1.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1/roms/cbios_main_msx1.rom
	ln -s ../../../../cbios/cbios_logo_msx1.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1/roms/cbios_logo_msx1.rom
	# MSX2
	ln -s ../../../../cbios/cbios_main_msx2.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2/roms/cbios_main_msx2.rom
	ln -s ../../../../cbios/cbios_logo_msx2.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2/roms/cbios_logo_msx2.rom
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2/roms/cbios_sub.rom
	# MSX2+
	ln -s ../../../../cbios/cbios_main_msx2+.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/cbios_main_msx2+.rom
	ln -s ../../../../cbios/cbios_logo_msx2+.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/cbios_logo_msx2+.rom
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/cbios_sub.rom
	ln -s ../../../../cbios/cbios_music.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/cbios_music.rom

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman debian/cbios.7
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cbios 0.24

=== debian/changelog ===
cbios (0.24-3) unstable; urgency=high

  * Last build didn't contain any ROMs, fixed by fixing usage of dh.

 -- Joost Yervante Damad <andete@debian.org>  Wed, 28 Jul 2010 07:17:43 +0200

cbios (0.24-2) unstable; urgency=low

  * use dh.

 -- Joost Yervante Damad <andete@debian.org>  Sun, 11 Jul 2010 07:24:56 +0200

cbios (0.24-1) unstable; urgency=low

  * New upstream release 0.24:
    - VRAM size is now properly checked, fixing R-Type's V9938 detection.
    - C-BIOS doesn't lie anymore about the interrupt frequency.
    - Don't di; halt when no ROM is found, the warning in openMSX may be
      confusing
    - A few minor bug fixes and tweaks.

 -- Joost Yervante Damad <andete@debian.org>  Mon, 31 May 2010 19:04:29 +0200

=== debian/control ===
Source: cbios
Section: misc
Priority: extra
Maintainer: Joost Yervante Damad <andete@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: pasmo, stx2any
Standards-Version: 3.9.0

Package: cbios
Architecture: all
Depends: ${misc:Depends}
Recommends: openmsx | msx-emulator
Description: open source MSX BIOS roms
 C-BIOS is an open source BIOS for MSX computers.
 C-BIOS can be shipped with MSX emulators so they are usable out-of-the-box.
 It comes readily configured for the openMSX emulator.

=== debian/rules ===
--- 
+++ 
@@ -3,46 +3,21 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
+%:
+	dh $@
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
-
-	touch configure-stamp
-
-
-build: build-stamp
-
-build-stamp: configure-stamp 
-	dh_testdir
-
+build:
 	$(MAKE)
 	stx2any -T man debian/cbios.txt > debian/cbios.7
 
-	touch build-stamp
-
 clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp configure-stamp
+	dh_clean
 	$(MAKE) clean
-	dh_clean
 	-rm -f debian/cbios.7
 
-install: build
-	dh_testdir
-	dh_testroot
-	dh_clean -k 
-	dh_installdirs
+override_dh_install:
 	# copy rom files
-	cp -f derived/bin/*.rom $(CURDIR)/debian/cbios/usr/share/cbios
+	cp -fv derived/bin/*.rom $(CURDIR)/debian/cbios/usr/share/cbios
 	# copy config files for other emulators # currently not done!
 	# cp -rf configs/NLMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
 	# cp -rf configs/RuMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
@@ -62,23 +37,5 @@
 	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/cbios_sub.rom
 	ln -s ../../../../cbios/cbios_music.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/cbios_music.rom
 
-binary-indep: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs ChangeLog
-	dh_installdocs
-	dh_installexamples
+override_dh_installman:
 	dh_installman debian/cbios.7
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure

## cbios 0.25

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 553 2009-01-02 21:49:16Z mthuurne $
+# $Id: Makefile 584 2010-11-20 15:08:23Z manuelbi $
 
 # Select your assembler:
 Z80_ASSEMBLER?=pasmo
@@ -16,8 +16,9 @@
 TITLE:="C-BIOS $(VERSION)      cbios.sf.net"
 VERSION_FILE:=derived/asm/version.asm
 
-ROMS:=main_msx1 main_msx2 main_msx2+ sub logo_msx1 logo_msx2 logo_msx2+ \
-	music disk basic
+ROMS:=main_msx1 main_msx1_jp main_msx1_br main_msx2 main_msx2_jp main_msx2_br \
+	main_msx2+ main_msx2+_jp main_msx2+_br sub logo_msx1 logo_msx2 \
+	logo_msx2+ music disk basic
 ROMS_FULLPATH:=$(ROMS:%=derived/bin/cbios_%.rom)
 
 # If needed override location of pasmo.

=== debian/changelog ===
cbios (0.25-3) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - debian/copyright to 1.0 format.
      - DebSrc to 3.0 format.
      - DH level to 9.
  * debian/control:
     - Added the Homepage field.
     - Bumped Standards-Version to 3.9.6.
  * debian/copyright: updated all information.
  * debian/watch: added.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 26 Dec 2015 03:55:38 -0200

cbios (0.25-2) unstable; urgency=low

  * Orphaning the package.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 16 Jul 2011 16:39:07 +0200

cbios (0.25-1) unstable; urgency=low

  * New upstream release
  * back to old source format
  * adapt manpage to reflect new BR and JP variants of the
    ROMs
  * update package to include JP and BR variants

 -- Joost Yervante Damad <andete@debian.org>  Wed, 02 Feb 2011 19:40:54 +0100

=== debian/control ===
Source: cbios
Section: misc
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: pasmo, stx2any
Standards-Version: 3.9.6
Homepage: http://cbios.sf.net

Package: cbios
Architecture: all
Depends: ${misc:Depends}
Recommends: openmsx | msx-emulator
Description: open source MSX BIOS roms
 C-BIOS is an open source BIOS for MSX computers.
 .
 C-BIOS can be shipped with MSX emulators so they are usable out-of-the-box.
 It comes readily configured for the openMSX emulator.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

build:
	$(MAKE)
	stx2any -T man debian/cbios.txt > debian/cbios.7

clean:
	dh_clean
	$(MAKE) clean
	-rm -f debian/cbios.7

override_dh_install:
	# copy rom files
	cp -fv derived/bin/*.rom $(CURDIR)/debian/cbios/usr/share/cbios
	# copy config files for other emulators # currently not done!
	# cp -rf configs/NLMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
	# cp -rf configs/RuMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
	# cp -rf configs/blueMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
	# prepare for openMSX specially
	cp -rf configs/openMSX/* $(CURDIR)/debian/cbios/usr/share/openmsx/machines
	# MSX1
	ln -s ../../../../cbios/cbios_main_msx1.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1/roms/
	ln -s ../../../../cbios/cbios_logo_msx1.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1/roms/
	# MSX1 JP
	ln -s ../../../../cbios/cbios_main_msx1_jp.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1_JP/roms/
	ln -s ../../../../cbios/cbios_logo_msx1.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1_JP/roms/
	# MSX1 BR
	ln -s ../../../../cbios/cbios_main_msx1_br.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1_BR/roms/
	ln -s ../../../../cbios/cbios_logo_msx1.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1_BR/roms/
	# MSX2
	ln -s ../../../../cbios/cbios_main_msx2.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2/roms/
	ln -s ../../../../cbios/cbios_logo_msx2.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2/roms/
	# MSX2 JP
	ln -s ../../../../cbios/cbios_main_msx2_jp.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_JP/roms/
	ln -s ../../../../cbios/cbios_logo_msx2.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_JP/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_JP/roms/
	# MSX2 BR
	ln -s ../../../../cbios/cbios_main_msx2_br.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_BR/roms/
	ln -s ../../../../cbios/cbios_logo_msx2.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_BR/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_BR/roms/
	# MSX2+
	ln -s ../../../../cbios/cbios_main_msx2+.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/
	ln -s ../../../../cbios/cbios_logo_msx2+.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/
	ln -s ../../../../cbios/cbios_music.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/
	# MSX2+ JP
	ln -s ../../../../cbios/cbios_main_msx2+_jp.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_JP/roms/
	ln -s ../../../../cbios/cbios_logo_msx2+.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_JP/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_JP/roms/
	ln -s ../../../../cbios/cbios_music.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_JP/roms/
	# MSX2+ BR
	ln -s ../../../../cbios/cbios_main_msx2+_br.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_BR/roms/
	ln -s ../../../../cbios/cbios_logo_msx2+.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_BR/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_BR/roms/
	ln -s ../../../../cbios/cbios_music.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_BR/roms/

override_dh_installman:
	dh_installman debian/cbios.7

## cbios 0.27

=== debian/changelog ===
cbios (0.27-2) unstable; urgency=medium

  * New maintainer.
  * Install links in openmsx systemroms directory.
  * Updated standards version to 3.9.7 (no changes needed).

 -- Bas Wijnen <wijnen@debian.org>  Sat, 26 Mar 2016 12:34:38 -0400

cbios (0.27-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/copyright:
     - Updated the packaging copyright data.
     - Updated the upstream copyright years.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Fri, 15 Jan 2016 17:02:50 -0200

cbios (0.25-4) unstable; urgency=medium

  * QA upload.
  * Updated and simplified the debian/rules to work correctly. Consequently:
      - Removed the target 'clean' and created the file debian/clean.
      - Removed the target 'build' and moved the manpage generation to the
        target 'override_dh_installman'.
      - Removed the target override_dh_install. Consequently:
          ~ Created the debian/install file to install the ROMs.
          ~ Created the debian/links file to link the ROMs.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 27 Dec 2015 23:15:15 -0200

=== debian/control ===
Source: cbios
Section: misc
Priority: extra
Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: pasmo, stx2any
Standards-Version: 3.9.7
Homepage: http://cbios.sf.net

Package: cbios
Architecture: all
Depends: ${misc:Depends}
Recommends: openmsx | msx-emulator
Description: open source MSX BIOS roms
 C-BIOS is an open source BIOS for MSX computers.
 .
 C-BIOS can be shipped with MSX emulators so they are usable
 out-of-the-box. It comes readily configured for the openMSX
 emulator.

## cbios 0.28

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $Id: Makefile 584 2010-11-20 15:08:23Z manuelbi $
-
 # Select your assembler:
 Z80_ASSEMBLER?=pasmo
 #Z80_ASSEMBLER?=z80-as
@@ -10,9 +8,6 @@
 VERSION:=$(shell cat version.txt)
 PACKAGE_FULL:=$(PACKAGE_NAME)-$(VERSION)
 
-#CHANGELOG_REVISION:=\
-#        $(shell sed -ne "s/\$$Id: ChangeLog \([^ ]*\).*/\1/p" ChangeLog)
-#TITLE:="C-BIOS $(VERSION)-dev$(CHANGELOG_REVISION)"
 TITLE:="C-BIOS $(VERSION)      cbios.sf.net"
 VERSION_FILE:=derived/asm/version.asm
 
@@ -46,7 +41,7 @@
 ASMDIR=src
 endif
 
-$(VERSION_FILE): ChangeLog version.txt
+$(VERSION_FILE): version.txt
 	@echo "Creating: $@"
 	@mkdir -p $(@D)
 	@echo '  db $(TITLE)' > $@
@@ -62,11 +57,8 @@
 	@$(PASMO) -I src -I derived/asm $(<:vdep/%=src/%) \
 		$@ $(@:derived/bin/%.rom=derived/lst/%.lst)
 endif
-# TODO: The "mv" can cause problems in parallel builds, it would be better if
-#       tniASM could write distinct output files (can it?).
 ifeq ($(Z80_ASSEMBLER),tniasm)
-	@cd src && tniasm $(<:vdep/%=%) ../$@
-	@mv src/tniasm.sym $(@:derived/bin/%.rom=derived/lst/%.sym)
+	@cd src && tniasm ../tools/tniasm-compat $(<:vdep/%=%) ../$@ $(@:derived/bin/%.rom=derived/lst/%.sym)
 endif
 ifeq ($(Z80_ASSEMBLER),z80-as)
 	@mkdir -p derived/obj
@@ -139,20 +131,16 @@
 dist: all
 	@rm -rf derived/dist
 	@mkdir -p derived/dist/$(PACKAGE_FULL)
-	@find . -type f '!' -path '*/.svn/*' \
-		'!' -path './derived/*' '!' -path './debian/*' \
-		'!' -name '.*' \
-		-exec cp --parents "{}" derived/dist/$(PACKAGE_FULL) ';'
-	@find configs/openMSX/* -maxdepth 0 -type d '!' -name '.svn' \
-		-exec mkdir "derived/dist/$(PACKAGE_FULL)/{}/roms" ';'
-	@SCRIPT=`mktemp` \
-		&& sha1sum $(ROMS_FULLPATH) | sed -nf tools/subst_sha1.sed > $$SCRIPT \
-		&& sed -s -i -f $$SCRIPT \
-			derived/dist/$(PACKAGE_FULL)/configs/openMSX/*/hardwareconfig.xml \
-		&& rm $$SCRIPT
+	@cp Makefile version.txt *.bat derived/dist/$(PACKAGE_FULL)
+	@cp -R configs doc src tools derived/dist/$(PACKAGE_FULL)
+	@SCRIPT=derived/dist/inject_sha1.sed \
+		&& shasum -a1 $(ROMS_FULLPATH) | sed -nf tools/subst_sha1.sed > $$SCRIPT \
+		&& sed -i'~' -f $$SCRIPT \
+			derived/dist/$(PACKAGE_FULL)/configs/openMSX/*.xml \
+		&& rm $$SCRIPT derived/dist/$(PACKAGE_FULL)/configs/openMSX/*~
 	@mkdir -p derived/dist/$(PACKAGE_FULL)/roms
 	@cp $(ROMS_FULLPATH) derived/dist/$(PACKAGE_FULL)/roms
-	@cd derived/dist ; zip -9 -r $(PACKAGE_FULL).zip $(PACKAGE_FULL)
+	@cd derived/dist ; zip -9 -X -D -r $(PACKAGE_FULL).zip $(PACKAGE_FULL)
 
 list_stub:
 	cd src && grep -n _text *.asm | grep ',0$$' | awk '{print $$1}' | sed -e 's/_text://'

=== debian/changelog ===
cbios (0.28-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version to 4.0.0.
  * Change copyright link to https.
  * Change priority to optional.

 -- Bas Wijnen <wijnen@debian.org>  Sat, 05 Aug 2017 14:35:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: cbios
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: pasmo, stx2any
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://cbios.sf.net
 
 Package: cbios

## cbios 0.29a

=== Makefile ===
--- 
+++ 
@@ -6,13 +6,14 @@
 
 PACKAGE_NAME:=cbios
 VERSION:=$(shell cat version.txt)
-PACKAGE_FULL:=$(PACKAGE_NAME)-$(VERSION)
+PACKAGE_FULL:=$(PACKAGE_NAME)-$(VERSION)a
 
 TITLE:="C-BIOS $(VERSION)      cbios.sf.net"
 VERSION_FILE:=derived/asm/version.asm
 
-ROMS:=main_msx1 main_msx1_jp main_msx1_br main_msx2 main_msx2_jp main_msx2_br \
-	main_msx2+ main_msx2+_jp main_msx2+_br sub logo_msx1 logo_msx2 \
+ROMS:=main_msx1 main_msx1_eu main_msx1_jp main_msx1_br \
+	main_msx2 main_msx2_eu main_msx2_jp main_msx2_br main_msx2+ \
+	main_msx2+_eu main_msx2+_jp main_msx2+_br sub logo_msx1 logo_msx2 \
 	logo_msx2+ music disk basic
 ROMS_FULLPATH:=$(ROMS:%=derived/bin/cbios_%.rom)

=== debian/changelog ===
cbios (0.29a-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2. No changes needed.
  * Update debhelper compat level to 10.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 04 Aug 2023 09:47:24 +0200

cbios (0.28-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 15:47:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: pasmo, stx2any
-Standards-Version: 4.0.0
+Standards-Version: 4.6.2
 Homepage: http://cbios.sf.net
 
 Package: cbios

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installman:
	stx2any -T man debian/cbios.txt > debian/cbios.7
	dh_installman debian/cbios.7
